
//
// Przykładowy kod z rozdziału 4.5 "Funkcje" książki
// "Programowanie. Teoria i praktyka z wykorzystaniem C++" Bjarne'a Stroustrupa.
//

#include "std_lib_facilities.h"

//------------------------------------------------------------------------------

int square(int x)    // Zwraca kwadrat x.
{
    return x*x;
}

//------------------------------------------------------------------------------

void write_sorry()    // Nie pobiera żadnych argumentów i nic nie zwraca.
{
    cout << "Przykro mi.\n";
}

//------------------------------------------------------------------------------

int main()
{
    cout << square(2) << '\n';  // drukuje 4
    cout << square(10) << '\n'; // drukuje 100

    square(2);                  // Prawdopodobnie to jest błąd: wartość zwrotna nie jest używana.
    //int v1 = square();        // Błąd: brak argumentu.
    //int v2 = square;          // Błąd: brak nawiasów.
    //int v3 = square(1,2);     // Błąd: za dużo argumentów.
    //int v4 = square("two");   // Błąd: zły typ argumentu - powinien być int.

    write_sorry();
}

//------------------------------------------------------------------------------
